# -*- coding: utf-8 -*-


from PySide import QtCore, QtGui
from SimNDT.gui.constants import *


class Ui_materialSetupDialog(object):
    def setupUi(self, materialSetupDialog):
        scaleUI = SCALE_UI
        materialSetupDialog.setObjectName("materialSetupDialog")
        materialSetupDialog.resize(310*scaleUI, 520*scaleUI)
        materialSetupDialog.setMinimumSize(QtCore.QSize(310*scaleUI, 520*scaleUI))
        materialSetupDialog.setMaximumSize(QtCore.QSize(310*scaleUI, 520*scaleUI))
        materialSetupDialog.setFocusPolicy(QtCore.Qt.TabFocus)
        materialSetupDialog.setContextMenuPolicy(QtCore.Qt.DefaultContextMenu)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/material.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        materialSetupDialog.setWindowIcon(icon)
        self.firstFrame = QtGui.QFrame(materialSetupDialog)
        self.firstFrame.setGeometry(QtCore.QRect(10*scaleUI, 20*scaleUI, 291*scaleUI, 80*scaleUI))
        self.firstFrame.setFocusPolicy(QtCore.Qt.TabFocus)
        self.firstFrame.setFrameShape(QtGui.QFrame.Panel)
        self.firstFrame.setFrameShadow(QtGui.QFrame.Sunken)
        self.firstFrame.setObjectName("firstFrame")
        self.gridLayout_3 = QtGui.QGridLayout(self.firstFrame)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.addMaterialPushButton = QtGui.QPushButton(self.firstFrame)
        self.addMaterialPushButton.setMaximumSize(QtCore.QSize(140*scaleUI, 16777215))
        icon1 = QtGui.QIcon()
        icon1.addPixmap(QtGui.QPixmap(":/add.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.addMaterialPushButton.setIcon(icon1)
        self.addMaterialPushButton.setObjectName("addMaterialPushButton")
        self.gridLayout_3.addWidget(self.addMaterialPushButton, 0, 0, 1, 1)
        self.deleteMaterialPushButton = QtGui.QPushButton(self.firstFrame)
        self.deleteMaterialPushButton.setMaximumSize(QtCore.QSize(140*scaleUI, 16777215))
        icon2 = QtGui.QIcon()
        icon2.addPixmap(QtGui.QPixmap(":/trash.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.deleteMaterialPushButton.setIcon(icon2)
        self.deleteMaterialPushButton.setObjectName("deleteMaterialPushButton")
        self.gridLayout_3.addWidget(self.deleteMaterialPushButton, 0, 1, 1, 1)
        self.materialLibraryPushButton = QtGui.QPushButton(self.firstFrame)
        icon3 = QtGui.QIcon()
        icon3.addPixmap(QtGui.QPixmap(":/library.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.materialLibraryPushButton.setIcon(icon3)
        self.materialLibraryPushButton.setObjectName("materialLibraryPushButton")
        self.gridLayout_3.addWidget(self.materialLibraryPushButton, 1, 0, 1, 2)
        self.secondFrame = QtGui.QFrame(materialSetupDialog)
        self.secondFrame.setGeometry(QtCore.QRect(10*scaleUI, 110*scaleUI, 291*scaleUI, 71*scaleUI))
        self.secondFrame.setFrameShape(QtGui.QFrame.Panel)
        self.secondFrame.setFrameShadow(QtGui.QFrame.Sunken)
        self.secondFrame.setObjectName("secondFrame")
        self.gridLayout_2 = QtGui.QGridLayout(self.secondFrame)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.materialNumberlabel = QtGui.QLabel(self.secondFrame)
        self.materialNumberlabel.setAlignment(QtCore.Qt.AlignCenter)
        self.materialNumberlabel.setObjectName("materialNumberlabel")
        self.gridLayout_2.addWidget(self.materialNumberlabel, 0, 0, 1, 1)
        self.materialNameLineEdit = QtGui.QLineEdit(self.secondFrame)
        self.materialNameLineEdit.setMinimumSize(QtCore.QSize(120*scaleUI, 0))
        self.materialNameLineEdit.setMaximumSize(QtCore.QSize(120*scaleUI, 16777215))
        self.materialNameLineEdit.setFocusPolicy(QtCore.Qt.ClickFocus)
        self.materialNameLineEdit.setObjectName("materialNameLineEdit")
        self.gridLayout_2.addWidget(self.materialNameLineEdit, 0, 1, 1, 1)
        self.previousPushButton = QtGui.QPushButton(self.secondFrame)
        self.previousPushButton.setMinimumSize(QtCore.QSize(130*scaleUI, 0))
        self.previousPushButton.setMaximumSize(QtCore.QSize(130*scaleUI, 16777215))
        icon4 = QtGui.QIcon()
        icon4.addPixmap(QtGui.QPixmap(":/previous.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.previousPushButton.setIcon(icon4)
        self.previousPushButton.setObjectName("previousPushButton")
        self.gridLayout_2.addWidget(self.previousPushButton, 1, 0, 1, 1)
        self.nextPushButton = QtGui.QPushButton(self.secondFrame)
        self.nextPushButton.setMinimumSize(QtCore.QSize(130*scaleUI, 0))
        self.nextPushButton.setMaximumSize(QtCore.QSize(130*scaleUI, 16777215))
        icon5 = QtGui.QIcon()
        icon5.addPixmap(QtGui.QPixmap(":/next.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.nextPushButton.setIcon(icon5)
        self.nextPushButton.setObjectName("nextPushButton")
        self.gridLayout_2.addWidget(self.nextPushButton, 1, 1, 1, 1)
        self.propertiesFrame = QtGui.QFrame(materialSetupDialog)
        self.propertiesFrame.setGeometry(QtCore.QRect(10*scaleUI, 190*scaleUI, 290*scaleUI, 271*scaleUI))
        self.propertiesFrame.setFrameShape(QtGui.QFrame.Panel)
        self.propertiesFrame.setFrameShadow(QtGui.QFrame.Sunken)
        self.propertiesFrame.setObjectName("propertiesFrame")
        self.gridLayout = QtGui.QGridLayout(self.propertiesFrame)
        self.gridLayout.setObjectName("gridLayout")
        self.applyPushButton = QtGui.QPushButton(self.propertiesFrame)
        self.applyPushButton.setMinimumSize(QtCore.QSize(200*scaleUI, 32*scaleUI))
        self.applyPushButton.setMaximumSize(QtCore.QSize(200*scaleUI, 32*scaleUI))
        icon6 = QtGui.QIcon()
        icon6.addPixmap(QtGui.QPixmap(":/done.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        self.applyPushButton.setIcon(icon6)
        self.applyPushButton.setObjectName("applyPushButton")
        self.gridLayout.addWidget(self.applyPushButton, 3, 0, 1, 1)
        self.infoLabel = QtGui.QLabel(self.propertiesFrame)
        self.infoLabel.setObjectName("infoLabel")
        self.gridLayout.addWidget(self.infoLabel, 0, 1, 1, 1)
        self.dampimgCheckBox = QtGui.QCheckBox(self.propertiesFrame)
        self.dampimgCheckBox.setFocusPolicy(QtCore.Qt.TabFocus)
        self.dampimgCheckBox.setObjectName("dampimgCheckBox")
        self.gridLayout.addWidget(self.dampimgCheckBox, 1, 0, 1, 1)
        self.formLayout_2 = QtGui.QFormLayout()
        self.formLayout_2.setFieldGrowthPolicy(QtGui.QFormLayout.FieldsStayAtSizeHint)
        self.formLayout_2.setObjectName("formLayout_2")
        self.etavLabel = QtGui.QLabel(self.propertiesFrame)
        self.etavLabel.setObjectName("etavLabel")
        self.formLayout_2.setWidget(0, QtGui.QFormLayout.LabelRole, self.etavLabel)
        self.etavLineEdit = QtGui.QLineEdit(self.propertiesFrame)
        self.etavLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.etavLineEdit.setObjectName("etavLineEdit")
        self.formLayout_2.setWidget(0, QtGui.QFormLayout.FieldRole, self.etavLineEdit)
        self.etasLabel = QtGui.QLabel(self.propertiesFrame)
        self.etasLabel.setObjectName("etasLabel")
        self.formLayout_2.setWidget(1, QtGui.QFormLayout.LabelRole, self.etasLabel)
        self.etasLineEdit = QtGui.QLineEdit(self.propertiesFrame)
        self.etasLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.etasLineEdit.setObjectName("etasLineEdit")
        self.formLayout_2.setWidget(1, QtGui.QFormLayout.FieldRole, self.etasLineEdit)
        self.gridLayout.addLayout(self.formLayout_2, 2, 0, 1, 1)
        self.formLayout = QtGui.QFormLayout()
        self.formLayout.setFieldGrowthPolicy(QtGui.QFormLayout.FieldsStayAtSizeHint)
        self.formLayout.setObjectName("formLayout")
        self.rhoLabel = QtGui.QLabel(self.propertiesFrame)
        self.rhoLabel.setObjectName("rhoLabel")
        self.formLayout.setWidget(0, QtGui.QFormLayout.LabelRole, self.rhoLabel)
        self.rhoLineEdit = QtGui.QLineEdit(self.propertiesFrame)
        self.rhoLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.rhoLineEdit.setObjectName("rhoLineEdit")
        self.formLayout.setWidget(0, QtGui.QFormLayout.FieldRole, self.rhoLineEdit)
        self.lambdaLabel = QtGui.QLabel(self.propertiesFrame)
        self.lambdaLabel.setObjectName("lambdaLabel")
        self.formLayout.setWidget(1, QtGui.QFormLayout.LabelRole, self.lambdaLabel)
        self.lambdaLineEdit = QtGui.QLineEdit(self.propertiesFrame)
        self.lambdaLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.lambdaLineEdit.setObjectName("lambdaLineEdit")
        self.formLayout.setWidget(1, QtGui.QFormLayout.FieldRole, self.lambdaLineEdit)
        self.muLabel = QtGui.QLabel(self.propertiesFrame)
        self.muLabel.setObjectName("muLabel")
        self.formLayout.setWidget(2, QtGui.QFormLayout.LabelRole, self.muLabel)
        self.muLineEdit = QtGui.QLineEdit(self.propertiesFrame)
        self.muLineEdit.setMaximumSize(QtCore.QSize(80*scaleUI, 16777215))
        self.muLineEdit.setObjectName("muLineEdit")
        self.formLayout.setWidget(2, QtGui.QFormLayout.FieldRole, self.muLineEdit)
        self.labelLabel = QtGui.QLabel(self.propertiesFrame)
        self.labelLabel.setObjectName("labelLabel")
        self.formLayout.setWidget(3, QtGui.QFormLayout.LabelRole, self.labelLabel)
        self.labelSpinBox = QtGui.QSpinBox(self.propertiesFrame)
        self.labelSpinBox.setMaximum(240)
        self.labelSpinBox.setSingleStep(40)
        self.labelSpinBox.setObjectName("labelSpinBox")
        self.formLayout.setWidget(3, QtGui.QFormLayout.FieldRole, self.labelSpinBox)
        self.gridLayout.addLayout(self.formLayout, 0, 0, 1, 1)
        self.okPushButton = QtGui.QPushButton(materialSetupDialog)
        self.okPushButton.setGeometry(QtCore.QRect(100*scaleUI, 470*scaleUI, 100*scaleUI, 32*scaleUI))
        self.okPushButton.setMaximumSize(QtCore.QSize(100*scaleUI, 16777215))
        self.okPushButton.setObjectName("okPushButton")
        self.cancelPushButton = QtGui.QPushButton(materialSetupDialog)
        self.cancelPushButton.setGeometry(QtCore.QRect(200*scaleUI, 470*scaleUI, 100*scaleUI, 32*scaleUI))
        self.cancelPushButton.setMaximumSize(QtCore.QSize(100*scaleUI, 16777215))
        self.cancelPushButton.setObjectName("cancelPushButton")

        self.retranslateUi(materialSetupDialog)
        QtCore.QMetaObject.connectSlotsByName(materialSetupDialog)
        materialSetupDialog.setTabOrder(self.addMaterialPushButton, self.okPushButton)
        materialSetupDialog.setTabOrder(self.okPushButton, self.cancelPushButton)
        materialSetupDialog.setTabOrder(self.cancelPushButton, self.applyPushButton)
        materialSetupDialog.setTabOrder(self.applyPushButton, self.deleteMaterialPushButton)
        materialSetupDialog.setTabOrder(self.deleteMaterialPushButton, self.materialLibraryPushButton)
        materialSetupDialog.setTabOrder(self.materialLibraryPushButton, self.previousPushButton)
        materialSetupDialog.setTabOrder(self.previousPushButton, self.nextPushButton)
        materialSetupDialog.setTabOrder(self.nextPushButton, self.materialNameLineEdit)

    def retranslateUi(self, materialSetupDialog):
        materialSetupDialog.setWindowTitle(QtGui.QApplication.translate("materialSetupDialog", "Material Setup", None, QtGui.QApplication.UnicodeUTF8))
        materialSetupDialog.setToolTip(QtGui.QApplication.translate("materialSetupDialog", "Material Setup", None, QtGui.QApplication.UnicodeUTF8))
        materialSetupDialog.setStatusTip(QtGui.QApplication.translate("materialSetupDialog", "Material Setup", None, QtGui.QApplication.UnicodeUTF8))
        self.addMaterialPushButton.setText(QtGui.QApplication.translate("materialSetupDialog", "Add Material", None, QtGui.QApplication.UnicodeUTF8))
        self.deleteMaterialPushButton.setText(QtGui.QApplication.translate("materialSetupDialog", "Delete Material", None, QtGui.QApplication.UnicodeUTF8))
        self.materialLibraryPushButton.setText(QtGui.QApplication.translate("materialSetupDialog", "Material Library", None, QtGui.QApplication.UnicodeUTF8))
        self.materialNumberlabel.setText(QtGui.QApplication.translate("materialSetupDialog", "Material #", None, QtGui.QApplication.UnicodeUTF8))
        self.materialNameLineEdit.setPlaceholderText(QtGui.QApplication.translate("materialSetupDialog", "Material Name", None, QtGui.QApplication.UnicodeUTF8))
        self.previousPushButton.setText(QtGui.QApplication.translate("materialSetupDialog", "Previous", None, QtGui.QApplication.UnicodeUTF8))
        self.nextPushButton.setText(QtGui.QApplication.translate("materialSetupDialog", "Next", None, QtGui.QApplication.UnicodeUTF8))
        self.applyPushButton.setText(QtGui.QApplication.translate("materialSetupDialog", "Apply", None, QtGui.QApplication.UnicodeUTF8))
        self.infoLabel.setText(QtGui.QApplication.translate("materialSetupDialog", "TextLabel", None, QtGui.QApplication.UnicodeUTF8))
        self.dampimgCheckBox.setText(QtGui.QApplication.translate("materialSetupDialog", "Damping", None, QtGui.QApplication.UnicodeUTF8))
        self.etavLabel.setText(QtGui.QApplication.translate("materialSetupDialog", "etav", None, QtGui.QApplication.UnicodeUTF8))
        self.etasLabel.setText(QtGui.QApplication.translate("materialSetupDialog", "etas", None, QtGui.QApplication.UnicodeUTF8))
        self.rhoLabel.setText(QtGui.QApplication.translate("materialSetupDialog", "rho", None, QtGui.QApplication.UnicodeUTF8))
        self.lambdaLabel.setText(QtGui.QApplication.translate("materialSetupDialog", "lambda", None, QtGui.QApplication.UnicodeUTF8))
        self.muLabel.setText(QtGui.QApplication.translate("materialSetupDialog", "mu", None, QtGui.QApplication.UnicodeUTF8))
        self.labelLabel.setText(QtGui.QApplication.translate("materialSetupDialog", "Label", None, QtGui.QApplication.UnicodeUTF8))
        self.okPushButton.setText(QtGui.QApplication.translate("materialSetupDialog", "OK", None, QtGui.QApplication.UnicodeUTF8))
        self.cancelPushButton.setText(QtGui.QApplication.translate("materialSetupDialog", "Cancel", None, QtGui.QApplication.UnicodeUTF8))
